diff --git a/src/gui/res/lang/gui_he.ts b/src/gui/res/lang/gui_he.ts
index bebf7a83..3370ae50 100644
--- a/src/gui/res/lang/gui_he.ts
+++ b/src/gui/res/lang/gui_he.ts
@@ -1136,4 +1298,108 @@ Double click on a screen to edit its settings.</source>
         <translation type="finished">לא ידוע</translation>
     </message>
 </context>
+<context>
+    <name>WebClient</name>
+    <message>
+        <location filename="src/WebClient.cpp" line="44"/>
+        <source>An error occurred while trying to sign in. Please contact the helpdesk, and provide the following details.
+
+%1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/WebClient.cpp" line="65"/>
+        <source>Login failed, invalid email or password.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/WebClient.cpp" line="78"/>
+        <source>Login failed, an error occurred.
+
+%1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/WebClient.cpp" line="86"/>
+        <source>Login failed, an error occurred.
+
+Server response:
+
+%1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/WebClient.cpp" line="101"/>
+        <source>An error occurred while trying to query the plugin list. Please contact the help desk, and provide the following details.
+
+%1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/WebClient.cpp" line="120"/>
+        <source>Get plugin list failed, invalid user email or password.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/WebClient.cpp" line="131"/>
+        <source>Get plugin list failed, an error occurred.
+
+%1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/WebClient.cpp" line="137"/>
+        <source>Get plugin list failed, an error occurred.
+
+Server response:
+
+%1</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
+<context>
+    <name>ZeroconfService</name>
+    <message>
+        <location filename="src/ZeroconfService.cpp" line="82"/>
+        <source>zeroconf server detected: %1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/ZeroconfService.cpp" line="91"/>
+        <source>zeroconf client detected: %1</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/ZeroconfService.cpp" line="99"/>
+        <location filename="src/ZeroconfService.cpp" line="130"/>
+        <source>Zero configuration service</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/ZeroconfService.cpp" line="100"/>
+        <source>Error code: %1.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/ZeroconfService.cpp" line="131"/>
+        <source>Unable to start the zeroconf: %1.</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/ZeroconfService.cpp" line="140"/>
+        <source>Synergy</source>
+        <translation type="finished">Synergy</translation>
+    </message>
+    <message>
+        <location filename="src/ZeroconfService.cpp" line="141"/>
+        <source>Failed to get local IP address. Please manually type in server address on your clients</source>
+        <translation type="unfinished"></translation>
+    </message>
+    <message>
+        <location filename="src/ZeroconfService.cpp" line="147"/>
+        <location filename="src/ZeroconfService.cpp" line="154"/>
+        <source>%1</source>
+        <translation type="unfinished"></translation>
+    </message>
+</context>
 </TS>
\ No newline at end of file
